import { Rules, RuleFailure, RuleWalker } from 'tslint';
import * as ts from 'typescript';
/**
 * Rule that walks through every string literal, which includes the outdated Material prefix and
 * is part of a call expression. Those string literals will be changed to the new prefix.
 */
export declare class Rule extends Rules.AbstractRule {
    apply(sourceFile: ts.SourceFile): RuleFailure[];
}
export declare class SwitchStringLiteralsWalker extends RuleWalker {
    visitStringLiteral(stringLiteral: ts.StringLiteral): void;
}
