import { Rules, RuleFailure } from 'tslint';
import { ComponentWalker } from '../tslint/component-walker';
import { ExternalResource } from '../tslint/component-file';
import * as ts from 'typescript';
/**
 * Rule that walks through every component decorator and updates their inline or external
 * templates.
 */
export declare class Rule extends Rules.AbstractRule {
    apply(sourceFile: ts.SourceFile): RuleFailure[];
}
export declare class SwitchTemplatesWalker extends ComponentWalker {
    visitInlineTemplate(template: ts.StringLiteral): void;
    visitExternalTemplate(template: ExternalResource): void;
    /**
     * Replaces the outdated prefix in the template with the new one and returns an updated template.
     */
    private replacePrefixesInTemplate(templateContent);
}
