"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ts = require("typescript");
/**
 * Creates a fake TypeScript source file that can contain content of templates or stylesheets.
 * The fake TypeScript source file then can be passed to TSLint in combination with a rule failure.
 */
function createComponentFile(filePath, content) {
    var sourceFile = ts.createSourceFile(filePath, "`" + content + "`", ts.ScriptTarget.ES5);
    var _getFullText = sourceFile.getFullText;
    sourceFile.getFullText = function () {
        var text = _getFullText.apply(sourceFile);
        return text.substring(1, text.length - 1);
    }.bind(sourceFile);
    return sourceFile;
}
exports.createComponentFile = createComponentFile;
//# sourceMappingURL=component-file.js.map